seo:
  title: The future of SaaS hosted Git repository pricing
  description: >-
    At GitLab, we think per-user pricing is the best pricing model because it is
    more predictable, less restrictive on code, and aligned with value the
    organization gets.
  ogTitle: The future of SaaS hosted Git repository pricing
  ogDescription: >-
    At GitLab, we think per-user pricing is the best pricing model because it is
    more predictable, less restrictive on code, and aligned with value the
    organization gets.
  noIndex: false
  ogImage: images/blog/hero-images/stars.png
  ogUrl: https://about.gitlab.com/blog/git-repository-pricing
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/git-repository-pricing
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "The future of SaaS hosted Git repository pricing",
            "author": [{"@type":"Person","name":"Sid Sijbrandij"}],
            "datePublished": "2016-05-11",
          }

content:
  title: The future of SaaS hosted Git repository pricing
  description: >-
    At GitLab, we think per-user pricing is the best pricing model because it is
    more predictable, less restrictive on code, and aligned with value the
    organization gets.
  authors:
    - Sid Sijbrandij
  heroImage: images/blog/hero-images/stars.png
  date: '2016-05-11'
  body: "\nToday [GitHub announced pricing changes to all of their paid plans on GitHub.com](https://github.com/blog/2164-introducing-unlimited-private-repositories). With these\nchanges, paid plans on GitHub.com will now include unlimited private repositories. At GitLab,\nwe were not surprised to hear about these pricing changes. We believe they are inline with\nhow pricing will move in the future. At GitLab, we think per-user pricing is the best pricing\nmodel because it is more predictable, less restrictive on code, and aligned with value the\norganization gets.\n\n<!-- more -->\n\n## Microservices\n\nThe rise of [microservices](/topics/microservices/), an approach to development in which you structure your software\ninto smaller individual service-oriented units. Each microservice then runs its own process\nand they communicate with each other through APIs. This software development approach is known\nto have four primary benefits: agility, efficiency, resiliency, and revenue. With such tangible\nbusiness benefits, it is no wonder why Google, Amazon, and Facebook have been using microservice\ndevelopment practices for over a decade. Matt Miller details the significance of microservices\nin his article, [‘Innovate or Die: The Rise of Microservices’](https://www.sequoiacap.com/article/build-us-microservices/) published in January 2016 on Sequoia\nCapital’s blog.\n\n## Unlimited repos is table stakes\n\nAs more and more developers, teams, and organizations seek out the advantages of microservices,\nthey’ll need more repositories to support this new code structure. Basically, the more microservices\nyou have the more repositories you’ll need. That is why it is not surprising that GitHub has announced\nfree private repositories. With their announcement today, now GitHub.com, Bitbucket.org, and GitLab.com all offer\nunlimited private repositories. It does not cost companies much more to host additional repositories for a given user.\nYou can think of hosting additional repositories like you think about your email. Once you have an\nemail account, you are usually not asked to pay more to store more. Unlimited repositories have become table stakes for a Git hosting SaaS service.\n\n## Pricing overview\n\nPrice for Git repository hosting per month in popular cloud solutions\n\n| \t   | GitHub.com old | GitHub.com new| Bitbucket.org | GitLab.com |\n| :--- | :---------: | :---------: | :-----------: | :--------: |\n| **Personal usage**\t| | | |\n| 1 private repo    | $7\t| $7\t| $0\t| $0\n| 100 private repos\t| $200\t| $7\t| $0\t| $0\n| **For organizations**\t| | | |\n| 5 collaborators  | depended on repos | $25 | $0 | $0\n| 10 collaborators | depended on repos | $90 | $10 | $0\n| 11 collaborators | depended on repos | $99 |$25\t| $0\n| 100 collaborators | depended on repos | $900 |$100\t| $0\n| Unlimited\tcollaborators | | N/A\t| $200 | $0\n\n## Unlimited is great\n\nIt’s awesome that repositories have become table stakes across the market.\nWe truly believe it will\nlead to better development practices since developers will no longer be constrained with physical\nstorage or with financial limitations. However, with more repositories, we assume developers will\nwrite more code and seek out more contributors to collaborate on your projects.\n\n## For some this is a price increase\n\nWhile the news of\nGitHub’s pricing is great if you have a lot of repos, it is not so helpful to people who have a lot\nof contributors. At GitLab, we strongly believe that\n“everyone can contribute.” This message is exemplified not only in how we build our own products but\nalso in how we price them. On GitLab.com, our free SaaS version, we offer unlimited private repositories,\nunlimited contributors, and unlimited CI runners, all for free.\n\nHere are some examples and quote's we've read about how these pricing changes will affect GitHub users.\n\n* For small teams, this announcement is a positive change. Their bill will most likely decrease, similar to [this person](https://news.ycombinator.com/item?id=11674148) who will see a 4X decline in their monthly bill.\n* If you are part of a larger team, your price will likely increase. In the case of [the Open edX non-profit](https://news.ycombinator.com/item?id=11674530), their price could potentially increase 10X due to the fact that they have a lot of contributors.\n* [This comment on HackerNews](https://news.ycombinator.com/item?id=11674507) sums it up best: \"there is an entire category of companies (agencies / software house) where the price is going up dramatically (5x, 10x or more). One example is Ruby on Rails core alumni Thomas Fuchs that will go [from $100 to $1296 per month](https://twitter.com/thomasfuchs/status/730415066399518720) because he has to pay for no longer active users.\n\n## Business models\n\nWhen it comes to SaaS hosted Git repository pricing models, it seems GitHub is pursuing more of a network\npricing model where users are asked to pay for 3rd party services. Atlassian is leveraging their\nexpansive product suite to get users to get additional paid services from them, like JIRA and Bamboo. At\nGitLab, we offer a free product with free services, for example [unlimited CI Runners](/blog/2016/04/19/gitlab-partners-with-digitalocean-to-make-continuous-integration-faster-safer-and-more-affordable/).\nOur goal is to make our solution include everything you need to go [frictionless from idea to production](/direction/#scope) at a price where [everyone can contribute](/company/strategy/).\n\n## Why is GitLab.com free\n\nTypically, when we are out introducing GitLab at events, or even to friends, they ask, [how is\nit all free?](https://news.ycombinator.com/item?id=11673281). We currently have the following offerings:\n\n* GitLab.com: Free SaaS version featuring private repos, contributors, and CI runners (powered by Digital Ocean).\n* GitLab Community Edition: Free on-premises version featuring unlimited users and CI.\n* GitLab Enterprise Edition: $39/user/year offering an on-premises version with additional enterprise-specific features, security, and support.\n* GitHost.io: Paid depending on the server size you want us to host for you.\n\nWe detailed our thinking about [why GitLab will be free now and free forever](/pricing/) in [2015](https://gitlab.com/gitlab-com/www-gitlab-com/commit/e7e2faec2eca5d35629504b4435358615147fbec).\nOur goal has always been two-fold: to build an integrated solution that supports the full software\ndevelopment lifecycle and to make our products accessible so that everyone can contribute. Within our\nbusiness model, we make money through our on-premises solution. This is what allows us to offer\ncompletely free products. As more and more people see the benefit of a free solution that supports\ncoding, testing, and deployment, we are seeing more users on GitLab.com. Due to the rapid\ngrowth, GitLab.com's performance slowed down. We recognize this and we have been working really hard to [make GitLab.com faster](https://gitlab.com/gitlab-com/operations/issues/42). As you explore what solutions are best for you, your team, or your company, we hope\nthat you’ll consider us. As always, if you have any questions or comments feel free to ask them here or\non [our Twitter](https://twitter.com/gitlab).\n"
  category: Company
config:
  slug: git-repository-pricing
  featured: false
  template: BlogPost
